import SwiftUI

let appState = AppState()
let store = AppStore.init(
    initialState: appState,
    reducer: AppState.reducer,
    middlewares: [
        loggerMiddleware(),
        TempMiddleware.shared.middleware
    ]
)

@main
struct SnikketApp: App {
    var body: some Scene {
        WindowGroup {
            BaseNavigationView()
                .environmentObject(store)
        }
    }
}
